// Copyright 2016 Orus.io. All rights reserved.

package testutils

import (
	"bitbucket.org/orus-io/go-xbus/api"
)

// LastUUID contains the last UUID returned by NewUUID()
var LastUUID api.UUID

// NewUUID returns a new UUID or panics
func NewUUID() api.UUID {
	var err error
	LastUUID, err := api.UUIDV4()
	if err != nil {
		panic(err)
	}
	return LastUUID
}
